Get
curl --request GET \
--url https://api.nebius.cloud/storage/v1/buckets/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/storage/v1/buckets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/storage/v1/buckets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"bucketPolicy": {
"rules": [
{
"anonymous": {},
"groupId": "<string>",
"paths": [
"<string>"
],
"roles": [
"<string>"
]
}
]
},
"cors": {
"rules": [
{
"allowedHeaders": [
"<string>"
],
"allowedMethods": [
"<string>"
],
"allowedOrigins": [
"<string>"
],
"exposeHeaders": [
"<string>"
],
"id": "<string>",
"maxAgeSeconds": 123
}
]
},
"defaultStorageClass": "STORAGE_CLASS_UNSPECIFIED",
"forceStorageClass": true,
"lifecycleConfiguration": {
"lastAccessFilter": {
"conditions": [
{
"type": "TYPE_UNSPECIFIED",
"methods": [
"METHOD_UNSPECIFIED"
],
"userAgents": [
"<string>"
]
}
]
},
"rules": [
{
"id": "<string>",
"status": "STATUS_UNSPECIFIED",
"abortIncompleteMultipartUpload": {
"daysAfterInitiation": 123
},
"expiration": {
"date": "2023-11-07T05:31:56Z",
"days": 123,
"expiredObjectDeleteMarker": true
},
"filter": {
"objectSizeGreaterThanBytes": "<string>",
"objectSizeLessThanBytes": "<string>",
"prefix": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"noncurrentVersionExpiration": {
"newerNoncurrentVersions": 123,
"noncurrentDays": 123
},
"noncurrentVersionTransition": {
"newerNoncurrentVersions": 123,
"noncurrentDays": 123,
"storageClass": "STORAGE_CLASS_UNSPECIFIED"
},
"transition": {
"date": "2023-11-07T05:31:56Z",
"days": 123,
"daysSinceLastAccess": 123,
"storageClass": "STORAGE_CLASS_UNSPECIFIED"
}
}
]
},
"maxSizeBytes": "<string>",
"objectAuditLogging": "OBJECT_AUDIT_LOGGING_UNSPECIFIED",
"versioningPolicy": "VERSIONING_POLICY_UNSPECIFIED"
},
"status": {
"anonymousAccessEnabled": true,
"counters": [
{
"counters": {
"inflightPartsQuantity": "<string>",
"inflightPartsSize": "<string>",
"multipartObjectsQuantity": "<string>",
"multipartObjectsSize": "<string>",
"multipartUploadsQuantity": "<string>",
"simpleObjectsQuantity": "<string>",
"simpleObjectsSize": "<string>"
},
"nonCurrentCounters": {
"multipartObjectsQuantity": "<string>",
"multipartObjectsSize": "<string>",
"simpleObjectsQuantity": "<string>",
"simpleObjectsSize": "<string>"
},
"storageClass": "STORAGE_CLASS_UNSPECIFIED"
}
],
"deletedAt": "2023-11-07T05:31:56Z",
"domainName": "<string>",
"purgeAt": "2023-11-07T05:31:56Z",
"region": "<string>",
"state": "STATE_UNSPECIFIED",
"suspensionState": "SUSPENSION_STATE_UNSPECIFIED"
}
}buckets
Get
GET
/
storage
/
v1
/
buckets
/
{id}
Get
Authorizations
The Authorization header expects a Bearer token.
Path Parameters
Was this page helpful?
⌘I